Resource

Push Notification Log

Logs of all the Push Notifications sent out to all users and subscribers for this project.

The Push Notification Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    title
    Type
    Long TextRequired
    Description

    Title of the push notification

  • Name
    body
    Type
    Very Long Text
    Description

    Body of the push notification

  • Name
    deviceType
    Type
    Text
    Description

    Type of device this was sent to (e.g., web)

  • Name
    deviceName
    Type
    Text
    Description

    Name of the device this was sent to

  • Name
    statusMessage
    Type
    Long Text
    Description

    Status Message (if any)

  • Name
    status
    Type
    TextRequired
    Description

    Status of the push notification

  • Name
    incident
    Type
    Incident
    Description

    Incident associated with this Push (if any)

  • Name
    incidentId
    Type
    Object ID
    Description

    ID of Incident associated with this Push (if any)

  • Name
    user
    Type
    User
    Description

    User who initiated this Push notification (if any)

  • Name
    userId
    Type
    Object ID
    Description

    ID of User who initiated this Push notification (if any)

  • Name
    alert
    Type
    Alert
    Description

    Alert associated with this Push (if any)

  • Name
    alertId
    Type
    Object ID
    Description

    ID of Alert associated with this Push (if any)

  • Name
    monitor
    Type
    Monitor
    Description

    Monitor associated with this Push (if any)

  • Name
    monitorId
    Type
    Object ID
    Description

    ID of Monitor associated with this Push (if any)

  • Name
    scheduledMaintenance
    Type
    Scheduled Maintenance Event
    Description

    Scheduled Maintenance associated with this Push (if any)

  • Name
    scheduledMaintenanceId
    Type
    Object ID
    Description

    ID of Scheduled Maintenance associated with this Push (if any)

  • Name
    statusPage
    Type
    Status Page
    Description

    Status Page associated with this Push (if any)

  • Name
    statusPageId
    Type
    Object ID
    Description

    ID of Status Page associated with this Push (if any)

  • Name
    statusPageAnnouncement
    Type
    Status Page Announcement
    Description

    Status Page Announcement associated with this Push (if any)

  • Name
    statusPageAnnouncementId
    Type
    Object ID
    Description

    ID of Status Page Announcement associated with this Push (if any)

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    On-Call Duty Policy associated with this Push Notification (if any)

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy associated with this Push Notification (if any)

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    On-Call Duty Policy Escalation Rule associated with this Push Notification (if any)

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Escalation Rule associated with this Push Notification (if any)

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    On-Call Duty Policy Schedule associated with this Push Notification (if any)

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Schedule associated with this Push Notification (if any)

  • Name
    team
    Type
    Team
    Description

    Team associated with this Push Notification (if any)

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team associated with this Push Notification (if any)

GETorPOST/api/push-notification-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your Push Notification Log. By default, a maximum of ten Push Notification Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/push-notification-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "status": true,
    "title": true,
    "alert": true,
    "alertId": true
  },
  "query": {
    "status": "Sent"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37784870-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Sent",
      "title": "Alert: High CPU Usage Detected",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
      "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    },
    {
      "_id": "37784871-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Sent",
      "title": "Alert: High CPU Usage Detected",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
      "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    },
    {
      "_id": "37784872-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Sent",
      "title": "Alert: High CPU Usage Detected",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
      "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    }
  ]
}
GETorPOST/api/push-notification-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve Push Notification Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/push-notification-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "status": true,
    "title": true,
    "alert": true,
    "alertId": true
  }
}

Response

{
  "_id": "37784870-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "status": "Sent",
  "title": "Alert: High CPU Usage Detected",
  "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
  "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
}
POST/api/push-notification-log/count

Count

This endpoint allows you to retrieve the count of all your Push Notification Log.

Optional Request Body

Count Request

POST
/api/push-notification-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Sent"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Push Notification Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read Push Log
  • Read All Project Resources

Create Permissions

Required to create Push Notification Log

This resource cannot be created via the API

Update Permissions

Required to update Push Notification Log

This resource cannot be updated via the API

Delete Permissions

Required to delete Push Notification Log

This resource cannot be deleted via the API